Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class WorldWind

    java.lang.Object
      gov.nasa.worldwind.WorldWind

    public final class WorldWind

extends Object

Method Summary
`static Object` | `createComponent(String className)`
`static Object` | `createConfigurationComponent(String classNameKey)`
`static FileCache` | `dataFileCache()`
`static String` | `getStringValue(String key)`
`static Object` | `getValue(String key)`
`static boolean` | `hasKey(String key)`
`static Logger` | `logger()`
`static MemoryCache` | `memoryCache()`
`static void` | `removeKey(String key)`
`static RetrievalService` | `retrievalService()`
`static String` | `retrieveErrMsg(String property)` Retrieve a String resource from the "error" bundle.
`static String` | `retrieveMessage(String property, String bundle)`
`static void` | `setValue(String key, String value)`
`static ThreadedTaskService` | `threadedTaskService()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createComponent

    public static Object createComponent(String className)
                                  throws WWRuntimeException

  Parameters:
    `className` -
  Returns:
  Throws:
    `WWRuntimeException` - if the `Object` could not be created
    `IllegalArgumentException` - if `className` is null or zero length

### createConfigurationComponent

    public static Object createConfigurationComponent(String classNameKey)
                                               throws IllegalStateException,
                                                      IllegalArgumentException

  Parameters:
    `classNameKey` -
  Returns:
  Throws:
    `IllegalStateException` - if no name could be found which corresponds to `classNameKey`
    `IllegalArgumentException` - if `classNameKey`is null``
    `WWRuntimeException` - if the component could not be created

### dataFileCache

    public static FileCache dataFileCache()

### getStringValue

    public static String getStringValue(String key)

### getValue

    public static Object getValue(String key)

### hasKey

    public static boolean hasKey(String key)

### logger

    public static Logger logger()

### memoryCache

    public static MemoryCache memoryCache()

### removeKey

    public static void removeKey(String key)

### retrievalService

    public static RetrievalService retrievalService()

### retrieveErrMsg

    public static String retrieveErrMsg(String property)

  Retrieve a String resource from the "error" bundle.

  Parameters:
    `property` - The property used to identify which String to return.
  Returns:
    the requested String.

### retrieveMessage

    public static String retrieveMessage(String property,
                                         String bundle)

### setValue

    public static void setValue(String key,
                                String value)

### threadedTaskService

    public static ThreadedTaskService threadedTaskService()

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD